# ansbile-role-sgx-dcap

Install DCAP packages and signed libraries from 01.org.

- The SGX RPM local repo will be set up at `/opt/sgx_rpm_local_repo`
- SGX libraries or tools will be installed at `/opt/intel`, such as:
  - /opt/intel/sgx-pck-id-retrieval-tool
  - /opt/intel/sgx-aesm-service
- Signed SGX library will be installed to:
  - /opt/intel/psw/ae/data/prebuilt/libsgx_pce.signed.so
  - /opt/intel/psw/ae/data/prebuilt/libsgx_qe3.signed.so
  - /opt/intel/psw/ae/data/prebuilt/libsgx_qve.signed.so

## Role Variables

| Variable Name | Description | Default |
| ------------- | ----------- | ------- |
| `install_dcap_package_repo` | Whether install DCAP package repo | `false` |
| `dcap_package_repo_url` | The URL of DCAP package | Based on  managed node OS: <https://download.01.org/intel-sgx/sgx-dcap/1.11/linux/distro/centos8.2-server/sgx_rpm_local_repo.tgz> or <https://download.01.org/intel-sgx/sgx-dcap/1.11/linux/distro/rhel8.2-server/sgx_rpm_local_repo.tgz>'|
| `install_dcap_signed_libraries` | Whether install DCAP signed libraries | `true` |
| `dcap_signed_libraries_url` | The URL of DCAP signed libraries | <https://download.01.org/intel-sgx/sgx-dcap/1.11/linux/prebuilt_dcap_1.11.tar.gz> |

## Example Playbook

```text
- name: Install SGX Dcap
  hosts: all
  become: true
  roles:
    - ansible-role-sgx-dcap
```
